<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Term;

use Inti\Provider\Query\QueryPaginateTrait;
use Inti\Provider\Query\QueryParentTrait;
use Inti\Provider\Query\QuerySearchTrait;
use Inti\Provider\Query\QuerySlugTrait;
use Inti\Wp\Provider\Metadata\AbstractMetadataProvider;

/**
 * Class AbstractTermProvider
 *
 * @package Inti\Wp\Provider\Term
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
abstract class AbstractTermProvider extends AbstractMetadataProvider implements TermProviderInterface
{
    use QueryPaginateTrait;
    use QueryParentTrait;
    use QuerySearchTrait;
    use QuerySlugTrait;

    protected array $field_map = [
        'id' => 'term_id'
    ];
}
