<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use function sprintf;

/**
 * Class MockMetadataProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-bartog
 */
trait MetadataProviderTrait
{
    public function initMetadata(string $type, int $count, int $keyCount)
    {
        for ($key = 1; $key <= $keyCount; $key++) {
            $meta_key = sprintf('_%s_meta%d', $type, $key);
            $this->meta_keys[] = $meta_key;

            for ($id = 1; $id <= $count; $id++) {
                $meta_value = sprintf('%s meta value %d-%d', $type, $id, $key);
                $this->metadata[$id][$meta_key] = $meta_value;
            }
        }
    }
}
